﻿Imports DotNetNuke.Services.Log.EventLog
Imports Aricie.DNN.Diagnostics


Namespace LuceneSearch.Monitoring.Logging
    Public Class LogInfoProviderLogger
        'Private _LogController As New EventLogController

        Private _PortalId As Integer

        Public Sub New(PortalId As Integer)
            AsyncLogger.Instance.CheckLogStarted()
            _PortalId = PortalId
        End Sub

        Public Sub LogInfo(LogInfoProvider As Interfaces.ILogInfoProvider)
            For Each LI As LogInfo In LogInfoProvider.GetLogInfos()
                LI.LogTypeKey = "DEBUG" ' force to DNN debug type
                LI.LogPortalID = _PortalId
                '_LogController.AddLog(LI)
                AsyncLogger.Instance.AddLog(LI)
            Next
        End Sub
    End Class
End Namespace