﻿Namespace Configuration.Templating.Scope
    <Serializable()> _
    Public Class PortalScope
        Implements ITemplateProviderScope

        Private _PortalId As Integer
        Public Property PortalId As Integer
            Get
                Return _PortalId
            End Get
            Private Set(value As Integer)
                _PortalId = value
            End Set
        End Property

        Public Sub New(PortalId As Integer)
            Me.PortalId = PortalId
        End Sub

        Public Function RetrieveNaming() As String Implements ITemplateProviderScope.RetrieveNaming
            Return "Portal." & PortalId
        End Function

        Public Function RetrieveParentScope() As ITemplateProviderScope Implements ITemplateProviderScope.RetrieveParentScope
            Return New HostScope()
        End Function
    End Class
End Namespace