﻿Imports Lucene.Net.Analysis

Namespace Aricie.DNN.Modules.LuceneSearch.Business.FieldManagement.Analysis

    Public Class AnalyzerProvider
        Implements IAnalyzerProvider

        Public Property AnalyzerFactory As Func(Of Analyzer)

        Public Sub New(AF As Func(Of Analyzer))
            AnalyzerFactory = AF
        End Sub

        Public Function GetAnalyzer() As Lucene.Net.Analysis.Analyzer Implements IAnalyzerProvider.GetAnalyzer
            Return AnalyzerFactory.Invoke()
        End Function
    End Class

End Namespace