Imports Aricie.DNN.Security.Trial

Namespace Aricie.DNN.Modules.LuceneSearch.Security
    Public Class TrialProvider
        Implements ITrialProvider

#If TRIAL Then
        Private Const IS_TRIAL As Boolean = True
#Else
        Private Const IS_TRIAL As Boolean = False
#End If

        Private Const ENCRYPTION_KEY As String = "LucenePoweredDNN"
        Private Const DURATION As Integer = 30


        Public Function GetTrialConfigInfo() As TrialConfigInfo Implements ITrialProvider.GetTrialConfigInfo

            Return _
                New TrialConfigInfo(IS_TRIAL, Common.Constants.ModuleNameLuceneSearchResults, _
                                     TrialLimitation.Limitation _
                                     , ENCRYPTION_KEY, DURATION)

        End Function
    End Class
End Namespace

