﻿Imports Lucene.Net.Search
Imports Aricie.ComponentModel
Imports Aricie.DNN.Modules.LuceneSearch.Business

Namespace Aricie.DNN.Modules.LuceneSearch.UI

    Public Interface ILuceneFilterControl

        Event FilterChanged As EventHandler(Of GenericEventArgs(Of LuceneFilterQuery))

        Property EnableFilterLog() As Boolean

        Property Enabled() As Boolean

        Function GetFilter() As LuceneFilterQuery

        Function ParseFilter(ByVal objFilter As LuceneFilterQuery) As Boolean

        Function HasFilter() As Boolean

        Function GetFieldNames() As IEnumerable(Of String)

        Function GetCustomSortExpression() As IEnumerable(Of String)

        Function DisableAllCustomSortExpression() As Boolean


    End Interface

End Namespace


