﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="AdvancedCriteriaFilter.ascx.vb"
    Inherits="Aricie.DNN.Modules.LuceneSearch.UI.AdvancedCriteriaFilter" %>
<%@ Register TagPrefix="aricie" Namespace="Aricie.DNN.Modules.LuceneSearch.UI" Assembly="Aricie.DNN.Modules.LuceneSearch" %>
<%@ Register Assembly="Aricie.DNN.Modules.LuceneSearch" Namespace="Aricie.DNN.Modules.LuceneSearch.UI.Controls"
    TagPrefix="aricie" %>
<%@ Register Assembly="Aricie.Core" Namespace="Aricie.Web.UI.Controls" TagPrefix="aricie" %>
<%@ Register Src="./AdvancedCriteriaFilterControls/FuzzyFilter.ascx" TagName="FuzzyFilter" TagPrefix="aricie" %>
<%@ Register Src="./AdvancedCriteriaFilterControls/SlopFilter.ascx" TagName="SlopFilter" TagPrefix="aricie" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<asp:Panel ID="pnlAdvancedCriteria" runat="server" CssClass="panelAdvancedCriteria">
    <table border="0" id="tblConstructBoolQuery" runat="server">
        <tr>
            <td>
                <dnn:label id="lblHead" runat="server" suffix=":" cssclass="subhead"></dnn:label>
            </td>
        </tr>
        <tr>
            <td>
                <aricie:AdvancedGridView ID="grdSearchCriteria" runat="server" AllowInsert="False"
                    AllowPaging="False" AutoGenerateColumns="False" ShowHeader="false" GridLines="None"
                    AllowSorting="False" BorderWidth="0" BorderStyle="None">
                    <headerstyle cssclass="gridHeader" />
                    <rowstyle cssclass="Normal evenRow" />
                    <alternatingrowstyle cssclass="Normal oddRow" />
                    <columns>
                                <asp:TemplateField HeaderText="Field of Criteria" meta:resourcekey="CriteriaField">
                                    <ItemTemplate>
                                        <aricie:SearchFieldSelector ID="ctlSearchFieldSelector" LocalizeNull="true" InsertNullItem="true"
                                            DataTextField="FriendlyName" DataValueField="Id" runat="server">
                                        </aricie:SearchFieldSelector>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Occurence" meta:resourcekey="Occurence">
                                    <ItemTemplate>
                                        <aricie:OccurSelector ID="ctlOccur" LocalizeItems="true" runat="server" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Type of Criteria" meta:resourcekey="CriteriaType">
                                    <ItemTemplate>
                                        <div style="width: 180px">
                                            <dnn:Label ID="plCriteriaType" CssClass="SubHead" runat="server" />
                                            <asp:HiddenField ID="ctlCriteriaType" runat="server" />
                                        </div>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Criteria" meta:resourcekey="Criteria">
                                    <ItemTemplate>
                                        <asp:TextBox ID="txtSearchCriteria" runat="server" Width="250px" Wrap="true"></asp:TextBox>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Fuzzyness of Criteria" meta:resourcekey="CriteriaFuzzy">
                                    <ItemTemplate>
                                        <aricie:FuzzyFilter ID="ctlFuzzyFilter" ShowEnable="false" ShowLabel="true" Visible="false"
                                            runat="server" />
                                        <aricie:SlopFilter ID="ctlSlopFilter" ShowEnable="false" ShowLabel="true" Visible="false"
                                            runat="server" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </columns>
                </aricie:AdvancedGridView>
            </td>
        </tr>
    </table>
</asp:Panel>
