﻿<%@ Control Language="vb" AutoEventWireup="true" Inherits="Aricie.DNN.UI.Controls.AricieUserControlBase, Aricie.DNN" %>
<%@ Register Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>

<%@ Register Src="../FieldDropDownListFilter.ascx" TagPrefix="Filters"  TagName="DDL"  %>
<%@ Register Src="../KeywordsFilter.ascx"          TagPrefix="Filters"  TagName="Keywords"%>
<%@ Register Src="../PrefixFilter.ascx"          TagPrefix="Filters"  TagName="Prefix"%>
<%@ Register Src="../PeriodFilter.ascx"            TagPrefix="Filters"  TagName="Period"%>


<%@ Register TagPrefix="aricie" Namespace="Aricie.DNN.Modules.LuceneSearch.UI" Assembly="Aricie.DNN.Modules.LuceneSearch" %>
<%@ Register Assembly="Aricie.DNN.Modules.LuceneSearch" Namespace="Aricie.DNN.Modules.LuceneSearch.UI.Controls"
    TagPrefix="aricie" %>

<div>

            <div id="SearchFilterContainer">
                <h1><asp:Localize ID="Header" runat="server" Text="Recherche par" /></h1>
                     <div id="TimeWindow" class="SearchFilterBlock">
                    <label class="FilterComment"><asp:Localize ID="FilterPeriod" runat="server" Text="Période" /></label>
                    <Filters:Period id="Period" runat="server" />
                    <span class="optional"><asp:Localize ID="OptionnalPeriod" runat="server" Text="(optionnel)"  /></span>
                </div>

                <div id="Category" class="SearchFilterBlock">
                    <label class="FilterComment"><asp:Localize ID="FilterCategory" runat="server" Text="Catégorie"/></label>
                    <Filters:DDL id="Category" runat="server" fieldname="ContentTaxonomy"
                                autopostback="false" toupper="false" CustomSortExpression="TexteUntokenized,Index" />
                </div>            
            
                <div id="Type" class="SearchFilterBlock">
                    <label class="FilterComment"><asp:Localize ID="FilterType" runat="server" Text="Type"  /></label>
                    <Filters:DDL id="Type" runat="server" fieldname="ItemGroup" 
                                autopostback="false" toupper="false" CustomSortExpression="TexteUntokenized,Index" />
                </div>
            
           

                <div id="Keywords" class="SearchFilterBlock">
                    <label class="FilterComment"><asp:Localize ID="FilterKeywords" runat="server" Text="Mots-clés" /></label>
                    <Filters:Prefix id="prefix" runat="server"  />
                </div>
                <div class="clear"></div>

            </div>

    <script runat="server" type="text/VB" >
        Private Sub Page_Init(ByVal sender As Object, ByVal e As System.EventArgs)
            ' Filename is given to the control so it can retrieve the resource file
            Me.MyfileName = "CommonFilter.ascx"
            Header.Text = DotNetNuke.Services.Localization.Localization.GetString("Header.Text", LocalResourceFile)
            FilterPeriod.Text = DotNetNuke.Services.Localization.Localization.GetString("FilterPeriod.Text", LocalResourceFile)
            OptionnalPeriod.Text = DotNetNuke.Services.Localization.Localization.GetString("OptionnalPeriod.Text", LocalResourceFile)
            FilterCategory.Text = DotNetNuke.Services.Localization.Localization.GetString("FilterCategory.Text", LocalResourceFile)
            FilterType.Text = DotNetNuke.Services.Localization.Localization.GetString("FilterType.Text", LocalResourceFile)
            FilterKeywords.Text = DotNetNuke.Services.Localization.Localization.GetString("FilterKeywords.Text", LocalResourceFile)
        End Sub


    </script>

</div>
