<%@ Control Language="vb" AutoEventWireup="false" Explicit="True" Inherits="Aricie.DNN.Modules.LuceneSearch.UI.AricieLuceneSearchResults"
    CodeBehind="AricieLuceneSearchResults.ascx.vb" %>

<%@ Register Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<%@ Register Assembly="Aricie.DNN.Modules.LuceneSearch" Namespace="Aricie.DNN.Modules.LuceneSearch.UI.Controls"
    TagPrefix="aricie" %>
<%@ Register TagPrefix="aricie" Namespace="Aricie.DNN.Modules.LuceneSearch.UI" Assembly="Aricie.DNN.Modules.LuceneSearch" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="aricie" Namespace="Aricie.Web.UI.Controls" Assembly="Aricie.Core" %>
<%@ Register Src="Controls/QueryParserControl.ascx" TagName="QueryParserControl" TagPrefix="aricie" %>

<asp:ScriptManagerProxy ID="smpHistory" runat="server"   />

<asp:Panel ID="pnMain" runat="server" DefaultButton="cmdSearch">
    <div class="LS_Search">
        <dnn:SectionHead ID="shSearch" runat="server" Section="LS_SearchPanel" IsExpanded="True" ResourceKey="sectionHeadSearch" CssClass="searchlabel" />
        <div class="LS_SearchPanel" id="LS_SearchPanel" runat="server">
            <asp:Panel ID="pnlAdvancedSearch" runat="server" Visible="true" CssClass="panelSearch" DefaultButton="cmdSearch">
                
                <asp:Panel ID="pnlFilterControls" runat="server" CssClass="LS_FilterPanel">
                    <aricie:LuceneFilterContainer ID="ctlFilterPanel" runat="server" />
                </asp:Panel>

                <asp:Panel ID="pnlCmdSearch" runat="server" CssClass="LS_CommandPanel">
                    <div class="LS_SearchLinkPanel">
                        <asp:LinkButton ID="cmdSearch" runat="server" ResourceKey="cmdSearch" CssClass="LS_SearchLink" />
                    </div>
                    <div class="LS_ResetLinkPanel">
                        <asp:LinkButton ID="cmdReset" runat="server" ResourceKey="cmdReset" CssClass="LS_ResetLink" />
                    </div>
                </asp:Panel>

                <div class="lucensearchseparator">
                    <span class="left"></span> <span class="right"></span>
                </div>
                <div class="LS_Clear">
                </div>
            </asp:Panel>
        </div>
    </div>

    <div class="LS_Results">
        <dnn:SectionHead ID="shResults" runat="server" Section="LS_ResultsPanel" IsExpanded="True" CssClass="searchlabel LS_ResultsSectionHead" ResourceKey="sectionHeadResults" />
        <div class="LS_ResultsPanel" id="LS_ResultsPanel" runat="server">
            <asp:Panel ID="pnlAllResults" runat="server" Visible="true">

                <div class="LS_ResultsInfo">
                    <asp:Label runat="server" ID="lblNoResult" CssClass="lblResults"/>
                    <asp:Label runat="server" ID="lblNbPagesResult" CssClass="lblResults"/>
                    <asp:HyperLink runat="server" ID="lnkResultPrint" CssClass="LS_print_link" Resourcekey="ResultPrintLink" Target="_blank"/>
                </div>

                <div class="LS_ResultsView">
                    <asp:PlaceHolder runat="server" ID="phResults"/>
                    <asp:HyperLink runat="server" ID="lnkResultPrintBas" CssClass="LS_print_link" Resourcekey="ResultPrintLink"  Target="_blank"/>
                </div>

            </asp:Panel>
        </div>
    </div>

    <script type="text/javascript">

        jQuery(document).ready(function () {

            jQuery(".LS_SearchPanel input").keydown(function (event) {
                if (event.keyCode == 13) {
                    jQuery("#<%= cmdSearch.ClientId %>").trigger('click');
                    return false;
                }
                return true;
            });

        });

</script>


</asp:Panel>
