Imports DotNetNuke.Entities.Modules

Namespace Aricie.DNN.Modules.LuceneSearch.Entities
    ''' <summary>
    ''' Class Info used to store a module controller and a module info
    ''' </summary>
    Public Class SearchContentInfo
        Public Sub New()

        End Sub


        Private _modControllerType As ISearchable

        ''' <summary>
        ''' ControllerType of the module
        ''' </summary>
        Public Property ModControllerType() As ISearchable
            Get
                Return _modControllerType
            End Get
            Set(ByVal value As ISearchable)
                _modControllerType = value
            End Set
        End Property


        Private _modInfo As ModuleInfo

        ''' <summary>
        ''' ModuleInfo of the module
        ''' </summary>
        Public Property ModInfo() As ModuleInfo
            Get
                Return _modInfo
            End Get
            Set(ByVal value As ModuleInfo)
                _modInfo = value
            End Set
        End Property
    End Class
End Namespace


