﻿Namespace Configuration.Templating.Scope
    <Serializable()> _
    Public Class ModuleScope
        Implements ITemplateProviderScope

        Private _PortalId As Integer
        Public Property PortalId As Integer
            Get
                Return _PortalId
            End Get
            Private Set(value As Integer)
                _PortalId = value
            End Set
        End Property

        Private _ModuleId As Integer
        Public Property ModuleId As Integer
            Get
                Return _ModuleId
            End Get
            Private Set(value As Integer)
                _ModuleId = value
            End Set
        End Property

        Public Sub New(PortalId As Integer, ModuleId As Integer)
            Me.PortalId = PortalId
            Me.moduleid = ModuleId
        End Sub

        Public Function RetrieveNaming() As String Implements ITemplateProviderScope.RetrieveNaming
            Return "Portal." & PortalId & ".Module." & ModuleId
        End Function

        Public Function RetrieveParentScope() As ITemplateProviderScope Implements ITemplateProviderScope.RetrieveParentScope
            Return New PortalScope(PortalId)
        End Function
    End Class
End Namespace