
Namespace Aricie.DNN.Modules.LuceneSearch.Common
    Public Class Constants
        Public Class Index
            Public Shared ReadOnly LUCENEINDEXFILE As String = "Aricie.LuceneIndex"
            Public Shared ReadOnly LUCENEINDEXBACKUP As String = LUCENEINDEXFILE & ".Backup"
            'Public Const PATHLUCENEINDEX As String = "PathLuceneIndex"
            Public Shared ReadOnly IndexingProviderName As String = "searchIndex"
            Public Shared ReadOnly IndexingAricieProviderName As String = "AricieLuceneIndexProvider"
            Public Shared ReadOnly IndexingDNNProviderName As String = "ModuleIndexProvider"
            Public Shared ReadOnly DataStoreProviderName As String = "searchDataStore"
            Public Shared ReadOnly DataStoreAricieProviderName As String = "AricieLuceneSearchDataStoreProvider"
            Public Shared ReadOnly DataStoreDNNProviderName As String = "SearchDataStoreProvider"
            Public Shared ReadOnly SiteMapProviderName As String = "sitemap"
            Public Shared ReadOnly SitemapDNNProviderName As String = "coreSitemapProvider"
            Public Shared ReadOnly SitemapAricieProviderName As String = "Aricie.LuceneSearchSitemapProvider"


        End Class

        Public Class Http
            'Public Const LuceneCriteria As String = "LuceneCriteria"
            Public Const SearchCriteria As String = "Search"
            Public Const FilterCriteria As String = "Filter"
            Public Const FilterQuery As String = "FilterQuery"
            Public Const SearchQuery As String = "SearchQuery"
            Public Const LaunchSearch As String = "LaunchSearch"
        End Class

        Public Class UrlParameters

            Public Shared ReadOnly LuceneSearchModeParameter As String = "LSMode"
            'Public Shared ReadOnly LuceneSearchPageSizeParameter As String = "PageSize"

            Public Shared ReadOnly PrintMode As String = "print"
        End Class

        Public Class UrlResultsParameters
            Public Shared ReadOnly ResultsPageSize As String = "LSResultsSize"
            Public Shared ReadOnly ResultsPageCount As String = "LSResultsPageCount"
            Public Shared ReadOnly ResultsPageIndex As String = "LSResultsIndex"
            Public Shared ReadOnly ResultsPageSort As String = "LSResultsSort"
            Public Shared ReadOnly ResultsPageGroup As String = "LSResultsGroup"
            Public Shared ReadOnly ResultsFilterSort As String = "LSFilterSort"
        End Class

        Public Class Cache
            Public Const DependencyKey As String = Aricie.Constants.Cache.Dependency & "Lucene"
        End Class

        Public Class UI
            Public Const DefaultItemTemplateKey As String = "Template.Default."
            Public Const HeaderItemTemplateKey As String = "Template.ResultItemsHeader"
        End Class

        Public Const GENERALREFERENCEID As String = "ItemId"

        Public Const LS_SEARCHSESSION As String = "LS_SearchSession"

        Public Const LS_SEARCHTABID As String = "LS_SearchMid"

        Public Shared ReadOnly ModuleNameLuceneSearchResults As String = "Aricie.LuceneSearchResults"
        
        Public Const ConfigFileName As String = "Aricie.LuceneSearch.Providers.config"

        Public Shared LuceneCurrentVersion As Lucene.Net.Util.Version = Lucene.Net.Util.Version.LUCENE_30




        Public Class SearchAndResultItemInfos
            Public Shared ReadOnly ModuleIdCannotBeDetermined As Integer = -1
        End Class
    End Class
End Namespace

