﻿Namespace Aricie.DNN.Modules.LuceneSearch.Logs
    <Serializable()> _
    Public Class FilterLogInfo

#Region "Private members"
        Private _LogDate As Date
        Private _UserID As Integer
        Private _Filters As New List(Of FilterLogElement)


#End Region

#Region "Ctors"
        Sub New()
        End Sub

        Sub New(ByVal logDate As Date, ByVal userID As Integer)
            _LogDate = logDate
            _UserID = userID
        End Sub
#End Region

        Public Sub AddElement(ByVal objElement As FilterLogElement)
            Me._Filters.Add(objElement)
        End Sub


#Region "Public Properties"

        Public Property LogDate() As Date
            Get
                Return _LogDate
            End Get
            Set(ByVal value As Date)
                _LogDate = value
            End Set
        End Property

        Public Property UserId() As Integer
            Get
                Return _UserID
            End Get
            Set(ByVal value As Integer)
                _UserID = value
            End Set
        End Property


        Public Property Filters() As List(Of FilterLogElement)
            Get
                Return _Filters
            End Get
            Set(ByVal value As List(Of FilterLogElement))
                _Filters = value
            End Set
        End Property


#End Region

    End Class

End Namespace