﻿Imports Lucene.Net.Analysis
Imports Aricie.DNN.Modules.LuceneSearch.Business

Namespace Aricie.DNN.Modules.LuceneSearch.Business

    Public Class SynonymFilter
        Inherits TokenFilter


        Private synonymTokenQueue As Queue(Of Token)
        Private _synonymEngine As ISynonymEngine

        Property SynonymEngine() As ISynonymEngine
            Get
                Return _synonymEngine
            End Get
            Private Set(ByVal value As ISynonymEngine)
                _synonymEngine = value
            End Set
        End Property

        Public Sub New(ByVal input As TokenStream, ByVal synonymEngine As ISynonymEngine)
            MyBase.New(input)
            Me.synonymTokenQueue = New Queue(Of Token)
            If (synonymEngine Is Nothing) Then
                Throw New ArgumentNullException("synonymEngine")
            End If
            Me.SynonymEngine = synonymEngine
        End Sub


        Public Overrides Function IncrementToken() As Boolean

        End Function
    End Class

End Namespace