﻿Imports System.ComponentModel
Imports Aricie.ComponentModel
Imports DotNetNuke.UI.WebControls
Imports Aricie.DNN.Modules.LuceneSearch.ModuleProviders
Imports DotNetNuke.Entities.Modules

Namespace Aricie.DNN.Modules.LuceneSearch.Settings
    Public Class LuceneModuleProviderConfig
        Inherits LuceneProviderConfig

        <Required(True)> _
            <Category("")> _
            <MainCategory()> _
        Public Property ModuleName() As String
        
        <Category("")> _
            <MainCategory()> _
        Public Property DiscardNativeProvider() As Boolean
        
        Public Function AsUpgrader() As ILuceneSearchableUpgrade
            Return DirectCast(Me.Provider, ILuceneSearchableUpgrade)
        End Function

        Public Function AsSearchable() As ISearchable
            Return DirectCast(Me.Provider, ISearchable)
        End Function

    End Class
End Namespace